name: XT60
variations: M, F
description: Amass XT60 battery connector
keywords: connector
distributors: LCSC C98734

pinout@F:
  +: 1
  -: 2

pinout@M:
  -: 1
  +: 2

schematic:
  symbol: connector

housing:
  pattern: custom
  bodyWidth: 8.10
  bodyLength: 15.50
  height: 15.70
  silkscreen: M -4.05 5.05 -1.35 7.75 1.35 7.75 4.05 5.05 # the notch on -
  model: # female from https://grabcad.com/library/xt60-female-connector-1
    file: 'library/connector/xt60-f.igs'
    rotation: 0,0,90
    position: 0,0,0

  # pins
  leadDiameter: 4.3
  holeDiameter: 4.5
  padDiameter: 6.0
  pitch: 7.20
  rowCount: 2
  columnCount: 1
  rowDX: 0
  rowDY: 0
